apiVersion: v1
kind: Secret
metadata:
  name: ghcr-image-pull-secret
  namespace: <NAMESPACE_PLACEHOLDER>
type: kubernetes.io/dockerconfigjson
data:
  .dockerconfigjson: <BASE64_ENCODED_DOCKERCONFIG_JSON>